name: Enhancing Earth system model evaluation with data cube enabled machine learning
# TODO: add the following optional fields
# description:
# keywords:
## INTERNAL NOTE: consider adding to schema:
## fundingStartedAt, fundingEndedAt
hasOutcome:
  - type: Article # Allowed: SoftwareSourceCode or Article
    citationFile: CITATION.cff # required
    # citationFile can be a path in this local git repository, or the URL to
    # the raw (!) remote file
    # e.g.:
    # - somefolder-in-this-gitlab/thepath/CITATION.cff
    # - https://raw.githubusercontent.com/citation-file-format/citation-file-format/main/CITATION.cff # URL to the file
    # - https://gitlib.com/[...]/raw/master/CITATION.cff
    # Be careful to add the real URL to the "raw" file, not the HTML landing
    # page in Github/ Gitlab

    # If citationFile is not provided, then it is assumed to be the CITATION.cff
    # in the same repository in the same directory as this metadata file.

    # The CFF file must have a value for the field repository-code (!) as
    # a fallback it can be provided here:
    repository-code: https://git.rwth-aachen.de/nfdi4earth/pilotsincubatorlab/pilotsincubatorlab/pilots/enhancing-earth-system-model-evaluation-with-data-cube-enabled-machine-learning/

    # optional addtional properties which are not representable in CIFF at
    # the moment:
    hasNotebook: https://git.rwth-aachen.de/nfdi4earth/pilotsincubatorlab/incubator/camerardy/-/raw/main/tutorial.ipynb
    hasContainerFile: https://git.rwth-aachen.de/nfdi4earth/pilotsincubatorlab/incubator/camerardy/-/raw/main/Dockerfile
    targetProduct: http://example.org/the-interactive-servcie # the URL to a running service where the software is deployed
  - type: Article
    # For type Article it is mandatory to add the doi of the article
    # It must be a doi which is resolvable at Zenodo (later: will extent
    # to any publication which is findable at datacite).
    # Zenodo: Use the concept doi, which always points to the latest version of
    # a document
    doi: 10.5281/zenodo.7826038
hasContributedTo:
  - type: SoftwareSourceCode
    citationFile: https://raw.githubusercontent.com/citation-file-format/citation-file-format/main/CITATION.cff # URL to the file
    # the same optional additional properties and the rule for repository-code
    # as above apply
    repository-code: https://github.com/citation-file-format/citation-file-format
